.\"	$NetBSD: esh.4,v 1.9 2001/09/19 00:49:58 wiz Exp $
.\"
.\" Copyright (c) 1997, 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Kevin Lahey of the Numerical Aerospace Simulation Facility,
.\" NASA Ames Research Center.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 28, 1998
.Dt ESH 4
.Os
.Sh NAME
.Nm esh
.Nd RoadRunner-based HIPPI interfaces device driver
.Sh SYNOPSIS
.Cd "esh* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
device driver supports the Essential Communications RoadRunner-based
HIPPI interfaces.  With some modifications, the driver could be
made to support the Gigabit Ethernet card based on the same chip.
.Pp
The driver supports both a normal network interface and a raw
HIPPI Framing Protocol (HIPPI-FP) device.
The HIPPI-FP interface is accessed via the
.Pa /dev/esh Ns Sy N/ulp Ns Sy N
set of devices.  There are 255 available Upper Layer Protocols
in FP;  these are selectable via the various device entries.
.Pp
HIPPI is an 800-megabit/sec networking technology which supports
extremely large packet sizes.  In order to efficiently use this
network, the kernel should be configured with extra mbufs, and
the default socket buffer size should be increased to at least
192KB, regardless of the expected bandwidth-delay product of the
network.
.Pp
HIPPI ARP is not widely used, and the
.Nx
stack does not support it
(yet).  In order to define the mappings between IP addresses and
ifields (the HIPPI MAC addresses), the administrator must make
link-layer entries in the routing table using the
.Xr route 8
command:
.Bd -unfilled -offset indent
route add -interface 129.99.154.101 -llinfo -link esh0:3.0.0.65
.Ed
.\" .Sh OPTIONS
.Sh MEDIA SELECTION
Media selection is not yet supported for this device.
.\" .Sh DIAGNOSTICS
.Sh SEE ALSO
.Xr intro 4 ,
.Xr pci 4 ,
.Xr eshconfig 8 ,
.Xr ifconfig 8 ,
.Xr route 8
.Sh BUGS
The card must be tuned for proper and efficient DMA operation.
The appropriate values vary based on the system.
The
.Xr eshconfig 8
program is used for this.
